Subject: bug#26238: core-updates: Fix time zone bug in `date` 8.26

From: Leo Famulari <[email-masked]>
Date: Mon, 27 Mar 2017 11:35:58 -0400

On Mon, Mar 27, 2017 at 01:36:32PM +0200, Ludovic Courtès wrote:
> Marius Bakke <[email-masked]> skribis:
> 
> > Leo Famulari <[email-masked]> writes:
> >
> >> On Sun, Mar 26, 2017 at 10:29:38PM +0200, Marius Bakke wrote:
> >>> I don't object to the graft, as it does sound like a serious regression.
> >>> My reaction was mostly a "flight" response after seeing the gnulib patch
> >>> that this depends upon (the parse_datetime2 API change).
> >>> 
> >>> https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4e6e16b3f43ce96302b1e52e48730c1f15e18c14
> >>> 
> >>> Are you working on backporting it?
> >>
> >> Ah, I failed to understand that it would be required to backport the
> >> gnulib commit as well. That does look hairy.
> >
> > Maybe grafting 8.27 is better. It would be good to build it out on a new
> > core-updates branch quickly to catch any problems it might introduce.
> 
> Let’s merge this one first.  :-)

Yeah, and I think we'll have to skip this bug fix for now,
unfortunately. Unless somebody else feels up to the task of backporting
the gnulib changes.